@charset "utf-8";

/*
關於CSS設定說明
CSS屬性是會繼承的，而且還是由上往下繼承。
同樣元素設定16px 後 12px 再 15px 最後會以最後設定的15px為準
但是有兩種情況除外:
1.絕對路徑命名. 如: .xx .yy .zz p {設定值;}
2.important.  如: .xx p {設定值 !important;}

CSS3選取器語法 :nth-child(n) 

*/


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*上方選單解除滑動固定
.header_area.sticky { position:relative;}
*/


/*大圖不要固定*/
.bannerindex {
  height: auto;
  position: static;
}

.bannerindex .swiper-banner {
  position: static;
}

/*主選單動畫*/
.pageIndex .stellarnav>ul>li {
  animation: font-ac 1s cubic-bezier(0.73, 0.08, 0.11, 0.99) both;
}

.pageIndex .header_area .stellarnav>ul>li:nth-of-type(1) {
  animation-delay: .6s;
}

.pageIndex .header_area .stellarnav>ul>li:nth-of-type(2) {
  animation-delay: .7s;
}

.pageIndex .header_area .stellarnav>ul>li:nth-of-type(3) {
  animation-delay: .8s;
}

.pageIndex .header_area .stellarnav>ul>li:nth-of-type(4) {
  animation-delay: .9s;
}

.pageIndex .header_area .stellarnav>ul>li:nth-of-type(5) {
  animation-delay: 1s;
}

.pageIndex .header_area .stellarnav>ul>li:nth-of-type(6) {
  animation-delay: 1.1s;
}

.pageIndex .header_area .stellarnav>ul>li:nth-of-type(7) {
  animation-delay: 1.2s;
}

@keyframes font-ac {
  0% {
    opacity: 0;
    transform: translate(0, -40px);
  }

  100% {
    opacity: 1;
    transform: translate(0, 0);
  }
}

/*由左滑入navi*/
.header_area::after {
  content: "";
  display: block;
  width: 100%;
  height: 100%;
  background: #ffffff99;
  backdrop-filter: blur(5px);
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
}

.pageIndex .header_area::after {
  transform-origin: 0 0;
  animation: header-ac 2s cubic-bezier(0.73, 0.08, 0.11, 0.99) both;
}

.header_area::before {
  content: "";
  display: block;
  width: 100%;
  height: 1px;
  background-color: #2A8CDD;
  position: absolute;
  top: 100%;
  left: 50%;
  transform: translate(-50%, -50%) scale(0, 1);
  opacity: 0;
  transform-origin: 0 0;
  transition: all 0.85s cubic-bezier(0.73, 0.08, 0.11, 0.99);
}

.pageIndex .header_area::before {
  animation: line-ac 1.5s cubic-bezier(0.73, 0.08, 0.11, 0.99) both;
  animation-delay: .6s;
}

@keyframes line-ac {
  0% {
    transform: translate(-50%, -50%) scale(0, 1);
    opacity: 0;
  }

  100% {
    opacity: 1;
    transform: translate(-50%, -50%) scale(1, 1);
  }
}

@keyframes header-ac {
  0% {
    transform: scale(0, 1);
  }

  100% {
    transform: scale(1, 1);
  }
}

/*固定選單*/
.header_area,
.header_area.sticky {
  position: sticky;
  top: 0;
  background: transparent;
}

.pageIndex .header_area,
.pageIndex .header_area.sticky {
  position: fixed;
  top: 0;
}

/*隱藏不需要的東西*/
.me_tp_features {
  display: none;
}


/* 商品下拉超過30個變大 */
.stellarnav.desktop li.bigMenu>ul {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(220px, 1fr));
  left: 0;
  width: 100%;
  position: fixed;
  padding: 20px;
}

.stellarnav.desktop li.bigMenu ul ul {
  top: 100%;
  left: 0;
  width: 100%;
  background: #efefef;
  height: auto;
  max-height: 300px;
  overflow: auto;
}

.stellarnav.desktop li.bigMenu ul ul li {
  margin: 0;
}

.stellarnav.hasBigMenu li.bigMenu li.has-sub>a:after {
  border-left: 6px solid transparent;
  border-bottom: unset;
  border-right: 6px solid transparent;
  border-top: 6px solid #898989;
  right: 5px;
}

/* 主分類超過30個但次分類直接顯示 
.stellarnav.desktop li.bigMenu>ul{grid-gap: 10px;}
.stellarnav.desktop li.bigMenu li{border: 0;}
.stellarnav.desktop li.bigMenu>ul>li>a{border: 1px solid #ddd;}
.stellarnav.desktop li.bigMenu ul ul{display: block !important; position: relative; top: 0; background: unset; border: 0;}
.stellarnav.desktop li.bigMenu ul ul li{border: 0;}
 主分類超過30個但次分類直接顯示-結束 */

/* 商品下拉超過30個--結束 */


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*預設購物車版面 產品分類選單在左側 商品內頁詳細介紹下表單更改樣式 by shint at 2025.12.18  */
.product_page .main_part {
  max-width: 1500px;
}

.product_page .show_content,
.product_info_page .show_content {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  align-items: flex-start;
  align-content: flex-start;
  width: 100%;
}

ul.page {
  width: 100%;
}

.ProdFilter_Item_Show {
  width: 100%;
}

.Prods_Menulists {
  width: 100%;
  padding: 0;
}

.Prods_Wrap {
  width: calc(100% - 270px);
}

/* 篩選器-左手邊 / 產品分類-上面
.ProdFilter_ { order: 2;}
.Prods_Menulists { order: 1;}
.Prods_Wrap { order: 3;}
.ProdFilter_ { width: 250px; letter-spacing: 1px;}
.ProdFilter_ li { width: 100%;}
.ProdFilter_ li > a { background: #f3f3f3; border: none; border-bottom: 3px #ddd solid;}
.ProdFilter_ dl { position: static; width: 100%; display: block;}
*/

/* 產品分類-左手邊 / 篩選器-上面 */

.ProdFilter_ {
  order: 1;
  margin-bottom: 25px;
}

.Prods_Menulists {
  order: 2;
}

.Prods_Wrap {
  order: 3;
}

.Prods_Menulists {
  width: 250px;
  letter-spacing: 1px;
}

.Prods_Menulists ul {}

.Prods_Menulists>ul>li {
  width: 100%;
  flex-wrap: wrap;
}

.Prods_Menulists ul ul {
  position: static;
  border: none;
}

.Prods_Menulists ul li ul li {}

.Prods_Menulists li.has-sub.open>a {}

.product_info_page .half_box {
  width: 100%;
  float: none;
  padding-right: 0;
}

.product_info_page .half_box li.btn_blankTop {
  margin-top: 50px;
  justify-content: space-between;
  display: flex;
}

.product_info_page .half_box li.btn_blankTop input {
  width: calc(50% - 10px);
  background-image: none;
  padding: 0;
  text-align: center;
}

@media screen and (max-width: 1200px) {}

@media screen and (max-width: 1024px) {
  .product_main {
    display: block;
    width: 100%;
  }

  .sidebarBtn {
    display: block;
    width: 100%;
  }
}

@media screen and (max-width: 980px) {}

@media screen and (max-width: 768px) {
  /* 篩選器-左手邊 / 產品分類-上面
.Prods_Wrap { width: 100%;}
.ProdFilter_ { width: 100%;}
.ProdFilter_Item_Show { width: calc(100% - 110px);}
.ProdFilter_ { order: 1;}
.Prods_Menulists { order: 2;}
.ProdFilter_ li > a span { color: #333;}
*/

  .Prods_Wrap {
    width: 100%;
    margin-top: 20px;
  }

  .ProdFilter_ {
    width: 100%;
  }

  .Prods_Menulists {
    opacity: 0;
    display: none;
  }

}

@media screen and (max-width: 600px) {}


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */

/* 2025.12.26 中間放大*/
.BannerHome02 .swiper-slide-active img {
  transform: scale(1);
}

.BannerHome02 .swiperBan02 .swiper-slide img {
  transition: transform 5s ease-out;
  will-change: transform;
  transform: scale(1);
}

.BannerHome02 .swiperBan02 .swiper-slide-active img {
  transform: scale(1.06);
}


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */




/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*內頁BANNER 設定*/
.banner {}

.banner h5 {}

.banner.banA {}

.banner.banB {}

.banner.banC {}

.banner.banD {}

.banner.banE {}

.banner.banblog {}

.banner.banDesign {
  background-color: #333;
}

/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*文章設定*/
/*一排呈現
.subbox_item { width:100%;}
*/


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*相本分類全版面 ( 限制最寬2000px
.work_page .main_part { max-width:2000px;}
.work_page .show_content { padding:0; width:100%;}
.work_page .show-list .item { width:33%; display:inline-block; float:none; margin:0; padding:0;}
@media screen and (max-width: 768px) {
.work_page .show-list .item { width:49%;}
}
@media screen and (max-width: 570px) {
.work_page .show-list .item { width:100%;}
}
.work_page .show-list .item a { max-width:100%;}
.work_page .show-list .show_pic { height:auto; line-height:0;}
.work_page .show-list .show_pic img { max-width:100%; max-height:100%;}
.work_page .show-list .show_name { position:absolute; top:50%; right:10%; width:80%; height:auto; line-height:160%; font-size: 20px; color: #FFFFFF !important; border: solid 1px #fff; text-align: center; margin: -20px 0 0 -120px; padding:5px 20px; transition:all ease-in .3s; opacity:0;}
.work_page .show-list .item:hover .show_name {opacity:1;}
*/


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*相本列表
.work_info_page .main_part { max-width:2000px;}
.work_info_page .show_content { padding:0; width:100%;}
.work_info_page .subalbum-menu { text-align:center;}
.work_info_page .subalbum-menu h2 { float:none;}
.work_info_page .pic-list .item { margin:0; padding:10px; width:49%; float:none; display:inline-block;}
@media screen and (max-width: 768px) {
.work_info_page .pic-list .item { width:100%;}
}
.work_info_page .pic-list .show_pic { height:auto; line-height:0;}
.work_info_page .pic-list .show_pic img { max-width:100%; max-height:100%;}
.work_info_page .pic-list .item a { max-width:100%; pointer-events: none; cursor: default; } 取消連結被點擊效果
*/


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */

/*footer*/
.footer {
  background: #444;
  padding: 50px 0 0;
}

.footer .center {
  max-width: 1000px;
  width: 90%;
}

.footer_info {
  grid-template-columns: 100px 1fr;
  grid-gap: 50px;
  padding-right: 0;
}

.footer_info li p,
.footer_info li p a {
  color: #eee;
}

.footer_info li p {
  display: inline-block;
  width: 48%;
}

.footer_menu {
  border-top: 1px solid #625f5f;
  padding-top: 10px;
}

.footer_menu a {
  background: transparent;
  color: #ccc;
  font-size: 12px;
  border: none;
  transition: all .5s;
}

.footer_menu a:hover {
  background: transparent;
}

.box_link {
  display: none;
}

.copy,
.copy a {
  font-size: 10px;
  color: #aaa;
}

.copy {
  margin-top: 50px;
  padding: 30px 0;
}



@media screen and (max-width: 768px) {

  /* 開啟手機板下方按鈕所需設定 */
  #bottom_menu {}

  .footer.with_shopping_mode {
    padding: 30px 0 70px;
  }

  #to_top {
    bottom: 60px;
  }
}

@media screen and (max-width: 600px) {}